%global commit 9b7b7069169b5fc6a7cb7521d39753d74e568bc5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapinfo 20170428git%{shortcommit}

Name:           libpotassco
Version:        1.0.0
Release:        1.%{snapinfo}%{?dist}
Summary:        A utility library used by various potassco projects

Group:          Development/Libraries
License:        MIT
URL:            http://potassco.org/
Source0:        https://github.com/potassco/%{name}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz
Patch0:         %{name}-1.0.0-install_dir.patch
Patch1:         %{name}-1.0.0-xlocale.patch

BuildRequires:  cmake

%description
libpotassco is a small C++ utility library used by various potassco projects
that mostly provides functions and types for:

- parsing, writing, and converting logic programs in aspif and smodels format,
- passing information between a grounder and a solver,
- defining and parsing command-line options and for creating command-line
  applications.

Furthermore, it comes with the tool lpconvert that converts either between aspif
and smodels format or to a human-readable text format.

libpotassco is part of the potassco project. For further information please
visit: http://potassco.org/

%package devel
Summary:        Development files for the libpotassco utility library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Headers and cmake modules for the libpotassco utility library.

libpotassco is part of the potassco project. For further information please
visit: http://potassco.org/

%package doc
Summary:        Documentation for the libpotassco utility library
BuildRequires:  doxygen

BuildArch:      noarch

%description doc
Generated HTML documentation for the libpotassco utility library.

libpotassco is part of the potassco project. For further information please
visit: http://potassco.org/

%prep
%autosetup -p1 -n%{name}-%{commit}

%build
mkdir -p build && pushd build
%cmake .. \
  -DLIB_POTASSCO_BUILD_TESTS:BOOL=ON \
  -DLIB_POTASSCO_INSTALL_LIB:BOOL=ON \
  %{nil}
popd

make %{?_smp_mflags} -C build all doc_potassco

%install
%make_install -C build

%check
make %{?_smp_mflags} -C build test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md
%license LICENSE
%{_bindir}/lpconvert
%{_libdir}/%{name}.so

%files devel
%{_includedir}/potassco/
%{_libdir}/cmake/potassco/

%files doc
%doc doc/html
%license LICENSE

%changelog
* Sun Aug 20 2017 Scott K Logan <logans@cottsay.net> - 1.0.0-1.20170428git9b7b706
- Initial package
